using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Drawing.Design;//IToolboxService
using System.Windows.Forms;
using System.Data;

using System.ComponentModel.Design;


namespace ArtCSB{
	//-------------------------------------------------------------------------------
/// <summary>
	/// Summary description for WinForm.
	/// </summary>
	public class WinForm_DesignerNavigator : System.Windows.Forms.Form{
		//---------------------------------------------------------------------------
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.IContainer components;
		private System.Windows.Forms.ToolBar toolBar_Designer;
		private System.Windows.Forms.ImageList imageList_TOOLBAR;
		private System.Windows.Forms.ImageList imageList_TOOLPALETTE;
		private System.Windows.Forms.ToolBarButton toolBarButton_REFRESH;
		private System.Windows.Forms.ToolBarButton toolBarButton_STAYONTOP;
		private System.Windows.Forms.ToolBarButton toolBarButton_OPACITY;
		private System.Windows.Forms.ToolBarButton toolBarButton_OPTIONS;
		private System.Windows.Forms.ToolBarButton toolBarButton_SEPARATOR1;
		private System.Windows.Forms.Panel panel_TreeViews;
		private System.Windows.Forms.TabControl tabControl_Designer;
		private System.Windows.Forms.TabPage tabPage_Controls;
		private System.Windows.Forms.TabPage tabPage_Components;
		private System.Windows.Forms.TreeView treeView_Controls;
		private System.Windows.Forms.TreeView treeView_Components;
		private System.Windows.Forms.StatusBar statusBar_Designer;
		private System.Windows.Forms.StatusBarPanel statusBarPanel_Module;
		private System.Windows.Forms.ToolBarButton toolBarButton_SEPARATOR2;
		private System.Windows.Forms.ToolBarButton toolBarButton_ABOUT;
		private System.Windows.Forms.ToolBarButton toolBarButton_SEPARATOR3;
		private System.Windows.Forms.ToolBarButton toolBarButton_VIEW_TYPE;
		private System.Windows.Forms.ToolBarButton toolBarButton_DEL_CMP;
		private System.Windows.Forms.ToolBarButton toolBarButton_SEPARATOR4;
		//---------------------------------------------------------------------------
		private ToolboxItemCollection  toolboxItemCollection = null;
		//is form in active state (some nuances with TreeView behavior)
		private bool ActiveFlag = false;
		private ArrayList AL = new ArrayList();
		private string RefreshFileName = "";
		private static bool BlockSelectionRefresh = false;

		private bool ViewBaseClass = false;

		//private OTASnap Snap = new OTASnap();

		//---------------------------------------------------------------------------
		public WinForm_DesignerNavigator(){
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//

		}
		//---------------------------------------------------------------------------
		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose (bool disposing){
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}
		//---------------------------------------------------------------------------

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent() {
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(WinForm_DesignerNavigator));
			this.imageList_TOOLPALETTE = new System.Windows.Forms.ImageList(this.components);
			this.toolBar_Designer = new System.Windows.Forms.ToolBar();
			this.toolBarButton_REFRESH = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_SEPARATOR1 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_VIEW_TYPE = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_SEPARATOR3 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_DEL_CMP = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_SEPARATOR4 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_STAYONTOP = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_OPACITY = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_OPTIONS = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_SEPARATOR2 = new System.Windows.Forms.ToolBarButton();
			this.toolBarButton_ABOUT = new System.Windows.Forms.ToolBarButton();
			this.imageList_TOOLBAR = new System.Windows.Forms.ImageList(this.components);
			this.panel_TreeViews = new System.Windows.Forms.Panel();
			this.tabControl_Designer = new System.Windows.Forms.TabControl();
			this.tabPage_Controls = new System.Windows.Forms.TabPage();
			this.treeView_Controls = new System.Windows.Forms.TreeView();
			this.tabPage_Components = new System.Windows.Forms.TabPage();
			this.treeView_Components = new System.Windows.Forms.TreeView();
			this.statusBar_Designer = new System.Windows.Forms.StatusBar();
			this.statusBarPanel_Module = new System.Windows.Forms.StatusBarPanel();
			this.panel_TreeViews.SuspendLayout();
			this.tabControl_Designer.SuspendLayout();
			this.tabPage_Controls.SuspendLayout();
			this.tabPage_Components.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel_Module)).BeginInit();
			this.SuspendLayout();
			// 
			// imageList_TOOLPALETTE
			// 
			this.imageList_TOOLPALETTE.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList_TOOLPALETTE.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// toolBar_Designer
			// 
			this.toolBar_Designer.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.toolBar_Designer.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
						this.toolBarButton_REFRESH,
						this.toolBarButton_SEPARATOR1,
						this.toolBarButton_VIEW_TYPE,
						this.toolBarButton_SEPARATOR3,
						this.toolBarButton_DEL_CMP,
						this.toolBarButton_SEPARATOR4,
						this.toolBarButton_STAYONTOP,
						this.toolBarButton_OPACITY,
						this.toolBarButton_OPTIONS,
						this.toolBarButton_SEPARATOR2,
						this.toolBarButton_ABOUT});
			this.toolBar_Designer.DropDownArrows = true;
			this.toolBar_Designer.ImageList = this.imageList_TOOLBAR;
			this.toolBar_Designer.Location = new System.Drawing.Point(0, 0);
			this.toolBar_Designer.Name = "toolBar_Designer";
			this.toolBar_Designer.ShowToolTips = true;
			this.toolBar_Designer.Size = new System.Drawing.Size(304, 28);
			this.toolBar_Designer.TabIndex = 0;
			this.toolBar_Designer.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.toolBar_Designer_ButtonClick);
			// 
			// toolBarButton_REFRESH
			// 
			this.toolBarButton_REFRESH.ImageIndex = 0;
			this.toolBarButton_REFRESH.Tag = "0";
			this.toolBarButton_REFRESH.ToolTipText = "Refresh Designer Navigator (Ctrl+R)";
			// 
			// toolBarButton_SEPARATOR1
			// 
			this.toolBarButton_SEPARATOR1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// toolBarButton_VIEW_TYPE
			// 
			this.toolBarButton_VIEW_TYPE.ImageIndex = 5;
			this.toolBarButton_VIEW_TYPE.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.toolBarButton_VIEW_TYPE.ToolTipText = "View object types (Ctrl+Y)";
			// 
			// toolBarButton_SEPARATOR3
			// 
			this.toolBarButton_SEPARATOR3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// toolBarButton_DEL_CMP
			// 
			this.toolBarButton_DEL_CMP.ImageIndex = 6;
			this.toolBarButton_DEL_CMP.ToolTipText = "Delete selected components";
			// 
			// toolBarButton_SEPARATOR4
			// 
			this.toolBarButton_SEPARATOR4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// toolBarButton_STAYONTOP
			// 
			this.toolBarButton_STAYONTOP.ImageIndex = 1;
			this.toolBarButton_STAYONTOP.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.toolBarButton_STAYONTOP.Tag = "1";
			this.toolBarButton_STAYONTOP.ToolTipText = "Stay on Top (Ctrl+T)";
			// 
			// toolBarButton_OPACITY
			// 
			this.toolBarButton_OPACITY.ImageIndex = 2;
			this.toolBarButton_OPACITY.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.toolBarButton_OPACITY.Tag = "2";
			this.toolBarButton_OPACITY.ToolTipText = "Opacity (Ctrl+O)";
			// 
			// toolBarButton_OPTIONS
			// 
			this.toolBarButton_OPTIONS.ImageIndex = 3;
			this.toolBarButton_OPTIONS.Tag = "3";
			this.toolBarButton_OPTIONS.ToolTipText = "Options";
			// 
			// toolBarButton_SEPARATOR2
			// 
			this.toolBarButton_SEPARATOR2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// toolBarButton_ABOUT
			// 
			this.toolBarButton_ABOUT.ImageIndex = 4;
			this.toolBarButton_ABOUT.ToolTipText = "About";
			// 
			// imageList_TOOLBAR
			// 
			this.imageList_TOOLBAR.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList_TOOLBAR.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList_TOOLBAR.ImageStream")));
			this.imageList_TOOLBAR.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// panel_TreeViews
			// 
			this.panel_TreeViews.Controls.Add(this.tabControl_Designer);
			this.panel_TreeViews.Dock = System.Windows.Forms.DockStyle.Fill;
			this.panel_TreeViews.Location = new System.Drawing.Point(0, 28);
			this.panel_TreeViews.Name = "panel_TreeViews";
			this.panel_TreeViews.Size = new System.Drawing.Size(304, 313);
			this.panel_TreeViews.TabIndex = 16;
			// 
			// tabControl_Designer
			// 
			this.tabControl_Designer.Controls.Add(this.tabPage_Controls);
			this.tabControl_Designer.Controls.Add(this.tabPage_Components);
			this.tabControl_Designer.Dock = System.Windows.Forms.DockStyle.Fill;
			this.tabControl_Designer.Location = new System.Drawing.Point(0, 0);
			this.tabControl_Designer.Name = "tabControl_Designer";
			this.tabControl_Designer.SelectedIndex = 0;
			this.tabControl_Designer.Size = new System.Drawing.Size(304, 313);
			this.tabControl_Designer.TabIndex = 0;
			// 
			// tabPage_Controls
			// 
			this.tabPage_Controls.Controls.Add(this.treeView_Controls);
			this.tabPage_Controls.ForeColor = System.Drawing.Color.Black;
			this.tabPage_Controls.Location = new System.Drawing.Point(4, 22);
			this.tabPage_Controls.Name = "tabPage_Controls";
			this.tabPage_Controls.Size = new System.Drawing.Size(296, 287);
			this.tabPage_Controls.TabIndex = 0;
			this.tabPage_Controls.Text = "Controls tree";
			// 
			// treeView_Controls
			// 
			this.treeView_Controls.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.treeView_Controls.Dock = System.Windows.Forms.DockStyle.Fill;
			this.treeView_Controls.ForeColor = System.Drawing.Color.Black;
			this.treeView_Controls.ImageList = this.imageList_TOOLPALETTE;
			this.treeView_Controls.Location = new System.Drawing.Point(0, 0);
			this.treeView_Controls.Name = "treeView_Controls";
			this.treeView_Controls.Size = new System.Drawing.Size(296, 287);
			this.treeView_Controls.Sorted = true;
			this.treeView_Controls.TabIndex = 0;
			this.treeView_Controls.Click += new System.EventHandler(this.treeView_Controls_Click);
			this.treeView_Controls.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.treeView_ControlsAndComponents_AfterSelect);
			// 
			// tabPage_Components
			// 
			this.tabPage_Components.Controls.Add(this.treeView_Components);
			this.tabPage_Components.ForeColor = System.Drawing.Color.Black;
			this.tabPage_Components.Location = new System.Drawing.Point(4, 22);
			this.tabPage_Components.Name = "tabPage_Components";
			this.tabPage_Components.Size = new System.Drawing.Size(296, 287);
			this.tabPage_Components.TabIndex = 1;
			this.tabPage_Components.Text = "Components";
			// 
			// treeView_Components
			// 
			this.treeView_Components.BorderStyle = System.Windows.Forms.BorderStyle.None;
			this.treeView_Components.Dock = System.Windows.Forms.DockStyle.Fill;
			this.treeView_Components.ForeColor = System.Drawing.Color.Black;
			this.treeView_Components.ImageList = this.imageList_TOOLPALETTE;
			this.treeView_Components.Location = new System.Drawing.Point(0, 0);
			this.treeView_Components.Name = "treeView_Components";
			this.treeView_Components.Size = new System.Drawing.Size(296, 287);
			this.treeView_Components.Sorted = true;
			this.treeView_Components.TabIndex = 17;
			this.treeView_Components.Click += new System.EventHandler(this.treeView_Components_Click);
			this.treeView_Components.AfterSelect += new System.Windows.Forms.TreeViewEventHandler(this.treeView_ControlsAndComponents_AfterSelect);
			// 
			// statusBar_Designer
			// 
			this.statusBar_Designer.Location = new System.Drawing.Point(0, 341);
			this.statusBar_Designer.Name = "statusBar_Designer";
			this.statusBar_Designer.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
						this.statusBarPanel_Module});
			this.statusBar_Designer.ShowPanels = true;
			this.statusBar_Designer.Size = new System.Drawing.Size(304, 22);
			this.statusBar_Designer.TabIndex = 17;
			// 
			// statusBarPanel_Module
			// 
			this.statusBarPanel_Module.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.statusBarPanel_Module.Width = 288;
			// 
			// WinForm_DesignerNavigator
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(304, 363);
			this.Controls.Add(this.panel_TreeViews);
			this.Controls.Add(this.statusBar_Designer);
			this.Controls.Add(this.toolBar_Designer);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.SizableToolWindow;
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.KeyPreview = true;
			this.Location = new System.Drawing.Point(50, 50);
			this.Name = "WinForm_DesignerNavigator";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "ArtCSB Designer Navigator";
			this.KeyDown += new System.Windows.Forms.KeyEventHandler(this.WinForm_DesignerNavigator_KeyDown);
			this.Click += new System.EventHandler(this.WinForm_DesignerNavigator_Click);
			this.Closing += new System.ComponentModel.CancelEventHandler(this.WinForm_DesignerNavigator_Closing);
			this.Load += new System.EventHandler(this.WinForm_DesignerNavigator_Load);
			this.Activated += new System.EventHandler(this.WinForm_DesignerNavigator_Activated);
			this.Deactivate += new System.EventHandler(this.WinForm_DesignerNavigator_Deactivate);
			this.panel_TreeViews.ResumeLayout(false);
			this.tabControl_Designer.ResumeLayout(false);
			this.tabPage_Controls.ResumeLayout(false);
			this.tabPage_Components.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.statusBarPanel_Module)).EndInit();
			this.ResumeLayout(false);
		}
		#endregion //Windows Form Designer generated code

		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_Activated(object sender,
				System.EventArgs e) {
			ActiveFlag = true;
			MyTreeRefresh();
			SelectionRefresh();
		}
		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_Deactivate(object sender,
				System.EventArgs e) {
			ActiveFlag = false;
		}
		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_Load(object sender,
				System.EventArgs e) {
			ViewBaseClass = false;
			try{
				toolboxItemCollection = OTAUtils.ToolboxService.GetToolboxItems();
				imageList_TOOLPALETTE.Images.Clear();
				Icon ico = ((Icon)(Common.MyRes.GetObject("UnknownImage16x16.ico")));
				imageList_TOOLPALETTE.Images.Add(ico);

				for (int i = 0; i < toolboxItemCollection.Count; i++){
					imageList_TOOLPALETTE.Images.Add(toolboxItemCollection[i].Bitmap);
				}

				this.ShowInTaskbar = Common.MyOps.DesignerNavigator_ShowInTaskBar;

				if (RefreshFileName != OTAUtils.CurrentEditorFileName){
					MyTreeRefresh();
					SelectionRefresh();
				}
			}catch{}
		}
		//---------------------------------------------------------------------------
		//also for treeView_Components
		private void treeView_ControlsAndComponents_AfterSelect(object sender,
				System.Windows.Forms.TreeViewEventArgs e){
			try{
				if (ActiveFlag){
					Object[] objArray = new Object[1] { ((MyTreeNode)e.Node).obj };
					OTAUtils.SelectionService.SetSelectedComponents(objArray);
					SelectionRefresh();
				}
				((TreeView)sender).SelectedNode = null;
			}catch{}
		}
		//---------------------------------------------------------------------------
		private void toolBar_Designer_ButtonClick(
				object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e){
			if (e.Button == toolBarButton_REFRESH){
				SkinRefresh();
				MyTreeRefresh();
				SelectionRefresh();
				return;
			}
			if (e.Button == toolBarButton_DEL_CMP){

				DialogResult result = DialogResult.OK;
				result = MessageBox.Show("Selected components will be deleted!",
										 "Confirmation",
										 MessageBoxButtons.OKCancel);
				if (result == DialogResult.OK)
				{
					this.Activate();
					BlockSelectionRefresh = true;
					try{
						DelSelCmp(treeView_Controls.Nodes);
						DelSelCmp(treeView_Components.Nodes);
					}catch{}

					BlockSelectionRefresh = false;

					MyTreeRefresh();
					SelectionRefresh();
					return;
				}
			}
			if (e.Button == toolBarButton_VIEW_TYPE){
				switch (toolBarButton_VIEW_TYPE.Pushed){
					case true:
						ViewBaseClass = true;
						break;
					case false:
						ViewBaseClass = false;
						break;
				}
				MyTreeRefresh();
				SelectionRefresh();
				return;
			}
			if (e.Button == toolBarButton_STAYONTOP){
				switch (toolBarButton_STAYONTOP.Pushed){
					case true:
						TopMost = true;
						break;
					case false:
						TopMost = false;
						break;
				}
				SkinRefresh();
				return;
			}
			if (e.Button == toolBarButton_OPACITY){
				switch (toolBarButton_OPACITY.Pushed){
					case true:
						Opacity = Common.MyOps.DesignerNavigator_OpacityValue;
						break;
					case false:
						this.Opacity = 1;
						break;
				}
				SkinRefresh();
				return;
			}
			if (e.Button == toolBarButton_OPTIONS){
				WinForm_Options  dlgOpt =
					new WinForm_Options(OptionsKind.Designer);
				if (this.TopMost) {dlgOpt.TopMost = true;}
				if (dlgOpt.ShowDialog() == DialogResult.OK){
					Common.MyOps.DesignerNavigator_ExpandTrees =
						dlgOpt.checkBox_ExpandTrees.Checked;
					Common.MyOps.DesignerNavigator_ShowInTaskBar =
						dlgOpt.checkBox_ShowInTaskBar.Checked;
					Common.MyOps.DesignerNavigator_OpacityValue =
						((double)(dlgOpt.numericUpDown_OpacityValue.Value)/100);
					SkinRefresh();
					//Common.SaveOptions();
				}
				dlgOpt.Dispose();
				return;
			}
			if (e.Button == toolBarButton_ABOUT){
				WinForm_About  dlgAbt = new WinForm_About();
				if (this.TopMost) {dlgAbt.TopMost = true;}
				dlgAbt.ShowDialog();
				dlgAbt.Dispose();
				return;
			}
		}
		//---------------------------------------------------------------------------
		class MyTreeNode: TreeNode{
			private bool _MySelected = false;
			private Color _UnselectedColor;
			private Color _SelectedColor = Color.FromArgb(255,192,255);
			public MyTreeNode(string st):base(st){
				_UnselectedColor = this.BackColor;
			}
			public object obj = null;
			public bool MySelected{
				get{
					return _MySelected;
				}
				set{
					if (BlockSelectionRefresh){ return; }
					if (value == _MySelected){ return; }
					if (value == true){
						this.BackColor = _SelectedColor;
						if ( !((TreeNode)this).IsVisible ){
							((TreeNode)this).EnsureVisible();
						}
					}
					else{
						this.BackColor = _UnselectedColor;
					}
					_MySelected = value;
				}
			}
		}
		//---------------------------------------------------------------------------
		private void DelSelCmp(TreeNodeCollection Nodes){
			if ( Nodes == null) { return; }
			int i = 0;
			while (i < Nodes.Count){

				DelSelCmp(Nodes[i].Nodes);

				if ( ((MyTreeNode)Nodes[i]).MySelected ){
					if (  ((MyTreeNode)Nodes[i]).obj is System.Web.UI.Control ){
					}else{
						IComponent cmp = (IComponent)(((MyTreeNode)Nodes[i]).obj);
						if (cmp.Site != null){
							if (cmp.Site.Container != null){
								cmp.Site.Container.Remove(cmp);
								cmp.Dispose();
							}
						}
					}
					Nodes.RemoveAt(i);
				}else{
					i++;
				}
			}//while
		}
		//---------------------------------------------------------------------------
		private bool FindNodeByObj(TreeNodeCollection Nodes,object obj,
				out MyTreeNode node){
			node = null;
			for (int i = 0; i < Nodes.Count; i++){
				if (obj == ((MyTreeNode)Nodes[i]).obj){
					node = (MyTreeNode)Nodes[i];
					return true;
				}else{
					if (FindNodeByObj(Nodes[i].Nodes, obj, out node)){
						return true;
					}
				}
			}//for
			return false;
		}
		//---------------------------------------------------------------------------
		private void UnselectAll(TreeNodeCollection Nodes){
			for (int i = 0; i < Nodes.Count; i++){
				((MyTreeNode)Nodes[i]).MySelected = false;
				UnselectAll(Nodes[i].Nodes);
			}
		}
		//---------------------------------------------------------------------------
		private void SkinRefresh(){
			switch (toolBarButton_STAYONTOP.Pushed){
				case true:
					TopMost = true;
					break;
				case false:
					TopMost = false;
					break;
			}
			switch (toolBarButton_OPACITY.Pushed){
				case true:
					this.Opacity = Common.MyOps.DesignerNavigator_OpacityValue;
					break;
				case false:
					this.Opacity = 1;
					break;
			}

			ShowInTaskbar = Common.MyOps.DesignerNavigator_ShowInTaskBar;
		}
		//---------------------------------------------------------------------------
		private void NodeProcessing(TreeNodeCollection nodes,IComponent cmp){
			if (cmp.Site == null){//for example, in NumericUpDown.Controls[0]
				return;
			}
			string nodeSt = cmp.Site.Name;
			if (ViewBaseClass){
				nodeSt += " : " + cmp.GetType().FullName;
			}
			MyTreeNode node = new MyTreeNode(nodeSt);
			node.obj = cmp;
			node.Checked = false;

			bool findType = false;
			for (int i = 0; i< toolboxItemCollection.Count; i++){
				if (toolboxItemCollection[i].TypeName == cmp.GetType().FullName){
					node.ImageIndex = i+1;
					node.SelectedImageIndex = i+1;
					findType = true;
					break;
				}
			 }
			 if (!findType){
				node.ImageIndex = 0;
				node.SelectedImageIndex = 0;
			 }

			nodes.Add(node);

			if (cmp is System.Windows.Forms.Control){
				System.Windows.Forms.Control cntrl =
					(System.Windows.Forms.Control)cmp;
				for (int i = 0; i < cntrl.Controls.Count; i++){
					NodeProcessing(node.Nodes, cntrl.Controls[i]);
				}
			}
			if (cmp is System.Web.UI.Control){
				System.Web.UI.Control cntrl = (System.Web.UI.Control)cmp;
				for (int i = 0; i < cntrl.Controls.Count; i++){
					NodeProcessing(node.Nodes, cntrl.Controls[i]);
				}
			}
		}
		//---------------------------------------------------------------------------
		private void MyTreeRefresh(){
			try{
				RefreshFileName = OTAUtils.CurrentEditorFileName;

				if (!OTAUtils.CurrentDotNetModule.HasDesignableType){
					treeView_Controls.Nodes.Clear();
					treeView_Components.Nodes.Clear();
					statusBarPanel_Module.Text = "";
					statusBarPanel_Module.ToolTipText = "";
					return;
				}

				ISelectionService selServ = OTAUtils.SelectionService;
				if ( !AL.Contains(selServ) ){
					selServ.SelectionChanged +=
						new EventHandler(OnDesignerSelectionChanged);
					AL.Add(selServ);
				}

				statusBarPanel_Module.Text =
					OTAUtils.ModuleServices.CurrentModule.FileName;
				statusBarPanel_Module.ToolTipText =
					OTAUtils.ModuleServices.CurrentModule.FileName;

				treeView_Controls.Nodes.Clear();
				IComponent cmp = OTAUtils.CurrentDotNetModule.DesignerHost.RootComponent;
				NodeProcessing(treeView_Controls.Nodes, cmp);

				treeView_Components.Nodes.Clear();
				for (int i = 0;
					 i < OTAUtils.CurrentDotNetModule.DesignerHost.Container.Components.Count;
					 i++)
				{
					cmp = OTAUtils.CurrentDotNetModule.DesignerHost.Container.Components[i];

					if ( !(
							(cmp is System.Windows.Forms.Control)
							||
							(cmp is System.Web.UI.Control)
						  )
					   )
					{
						string nodeSt = cmp.Site.Name;
						if (ViewBaseClass){
							nodeSt += " : " + cmp.GetType().FullName;
						}
						MyTreeNode node = new MyTreeNode(nodeSt);
						node.obj = cmp;
						node.Checked = false;

						bool findType = false;
						for (int j = 0; j< toolboxItemCollection.Count; j++){
							if (toolboxItemCollection[j].TypeName ==
								cmp.GetType().FullName)
							{
								node.ImageIndex = j+1;
								node.SelectedImageIndex = j+1;
								findType = true;
								break;
							}
						}
						if (!findType){
							node.ImageIndex = 0;
							node.SelectedImageIndex = 0;
						}
						treeView_Components.Nodes.Add(node);
					}
				}//for

				if (Common.MyOps.DesignerNavigator_ExpandTrees){
					treeView_Controls.ExpandAll();
					treeView_Components.ExpandAll();
				}

				if (treeView_Controls.Nodes.Count > 0){
					treeView_Controls.Nodes[0].EnsureVisible();
				}

			}catch{}
			try{
				if (OTAUtils.CurrentDotNetModule.DesignerHost.RootComponent is System.Web.UI.Control){
					toolBarButton_DEL_CMP.Visible = false;
					toolBarButton_SEPARATOR4.Visible = false;
				}else{
					toolBarButton_DEL_CMP.Visible = true;
					toolBarButton_SEPARATOR4.Visible = true;
				}
			}catch{}
		}
		//---------------------------------------------------------------------------
		private void SelectionRefresh(){
			if (BlockSelectionRefresh){ return; }
			try{
				MyTreeNode node;
				ISelectionService selServ = OTAUtils.SelectionService;
				int n = selServ.GetSelectedComponents().Count;
				Object[] objectArray = new Object[n];
				selServ.GetSelectedComponents().CopyTo(objectArray, 0);
				UnselectAll(treeView_Controls.Nodes);
				UnselectAll(treeView_Components.Nodes);
				for (int i=0; i < n; i++){
					if ( (objectArray[i] is System.Windows.Forms.Control)
						 ||
						 (objectArray[i] is System.Web.UI.Control)
					   )
					{
						if (FindNodeByObj(treeView_Controls.Nodes,
							objectArray[i], out node))
						{
							if (tabControl_Designer.SelectedTab != tabPage_Controls){
								tabControl_Designer.SelectedTab = tabPage_Controls;
							}
							node.MySelected = true;
						}
					}
					else{
						if (objectArray[i] is System.ComponentModel.Component){
							if (FindNodeByObj(treeView_Components.Nodes,
								objectArray[i], out node))
							{
								if (tabControl_Designer.SelectedTab !=
									tabPage_Components)
								{
									tabControl_Designer.SelectedTab = tabPage_Components;
								}
								node.MySelected = true;
							}
						}
					}
				}//for
			}catch{}
		}
		//---------------------------------------------------------------------------
		private void OnDesignerSelectionChanged(object sender, EventArgs args){
			//MessageBox.Show("!");
			SelectionRefresh();
		}
		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_Closing(object sender, System.ComponentModel.CancelEventArgs e) {
			try{
				for (int i = 0; i < AL.Count; i++){
					((ISelectionService)AL[i]).SelectionChanged -= new EventHandler(OnDesignerSelectionChanged);
				}
			}catch{}
		}
		//---------------------------------------------------------------------------
		private void treeView_Controls_Click(object sender, System.EventArgs e) {
			if (RefreshFileName != OTAUtils.CurrentEditorFileName){
				MyTreeRefresh();
				SelectionRefresh();
			}
		}
		//---------------------------------------------------------------------------
		private void treeView_Components_Click(object sender, System.EventArgs e) {
			if (RefreshFileName != OTAUtils.CurrentEditorFileName){
				MyTreeRefresh();
				SelectionRefresh();
			}
		}
		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_Click(object sender, System.EventArgs e) {
			if (RefreshFileName != OTAUtils.CurrentEditorFileName){
				MyTreeRefresh();
				SelectionRefresh();
			}
		}
		//---------------------------------------------------------------------------
		private void WinForm_DesignerNavigator_KeyDown(object sender, System.Windows.Forms.KeyEventArgs e) {
			if (e.KeyCode == Keys.Escape){
				OTAUtils.CurrentEditor.Show();
				this.Close();
				OTAUtils.CurrentEditView.Paint();
				return;
			}
			if (e.KeyCode == Keys.R && e.Control){
				SkinRefresh();
				MyTreeRefresh();
				SelectionRefresh();
				return;
			}
			if (e.KeyCode == Keys.Y && e.Control){
				switch (toolBarButton_VIEW_TYPE.Pushed){
					case true:
						toolBarButton_VIEW_TYPE.Pushed = false;
						ViewBaseClass = false;
						break;
					case false:
						toolBarButton_VIEW_TYPE.Pushed = true;
						ViewBaseClass = true;
						break;
				}
				MyTreeRefresh();
				SelectionRefresh();
				return;
			}
			if (e.KeyCode == Keys.T && e.Control){
				switch (toolBarButton_STAYONTOP.Pushed){
					case true:
						toolBarButton_STAYONTOP.Pushed = false;
						TopMost = false;
						break;
					case false:
						toolBarButton_STAYONTOP.Pushed = true;
						TopMost = true;
						break;
				}
				SkinRefresh();
				return;
			}
			if (e.KeyCode == Keys.O && e.Control){
				switch (toolBarButton_OPACITY.Pushed){
					case true:
						toolBarButton_OPACITY.Pushed = false;
						Opacity = 1;
						break;
					case false:
						toolBarButton_OPACITY.Pushed = true;
						Opacity = Common.MyOps.SourceNavigator_OpacityValue;
						break;
				}
				SkinRefresh();
				return;
			}
		//---------------------------------------------------------------------------

		}
	}
	//-------------------------------------------------------------------------------

}
